## dgit 12.5~bpo12+1

=== debian/changelog ===
dgit (12.5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 28 Jan 2025 14:48:21 +0000

dgit (12.5) unstable; urgency=medium

  tag2upload development:
  * Rewrite the tag2upload mode of the dgit-repos-server program in
    order to satisfy a number of requirements of the design that the
    old code did not.  [Ian Jackson]
    In particular, we now send much better e-mails.
  * Set the Git-Tag-Tagger and Git-Tag-Info fields.  Closes: #932753.
  * Implement & test CCing the tag signing key's owner.
    - Don't CC them if they're probably also the Git tagger.
    - More strictly validate tag2upload Git tag taggers.
    - New 'preferred-mail-domains' dgit-repos-server configuration.

  * tag2upload-oracled:
    - Validate & log the protocol messages generated by
      'dgit-repos-server --tag2upload5'.
    - Don't expect "ok" in response to "quit".  [Ian Jackson]
      Instead, waitpid the adt virt server.  See #1092808.
    - Improved debug printing.  [Ian Jackson]
    - New --retain-tmp option.  [Ian Jackson]
    - Pass ssh timeout options to builder SSH, too.

  * Pass --ssh:-oBatchMode=yes to dgit in dgit-repos-server t2u mode.
  * Patch autopkgtest-virt-null so as to retain the temp dir.
    [Ian Jackson]
  * Set dgit-repos-server $0 to something else in tag2upload mode.
    [Ian Jackson]

  Test suite [Ian Jackson]:
  * Complete the end-to-end t2u-integration test.
    - Add GitLab CI definition to run it on bookworm as well as sid.
  * Add a test case for a DM attempting to git-debpush a package they
    are not authorized to upload.
  * Fix spuriously removing 'git cat-file tag' trailing newline.
  * Rewrite t2u-ssh-for-t2u-oracled in Perl.
  * Provide and use new general facility for polling in tests.
  * tag2upload-oracled test: Don't kill tag2upload-oracled again.
  * Output improvements when testing 'mini-git-tag-fsck --audit'.
  * Introduce T2U dependencies alias.

  Documentation:
  * dgit-maint-debrebase(7): Improve sample 'git remote add'.
    [Andrea Pappacoda]
  * git-debpush(1): Fix -sn versus -sk.  Closes: #1093216.
    [Reported by Ben Harris]
  * dgit(1), dgit usage message: List push-built|push-source not push.
    This is better because plain push issues a warning, at present.
    Closes: #1092904.  [Ian Jackson, report from Niels Thykier]
  * dgit usage message: Mention rpush-source, and tidy.  [Ian Jackson]

  Miscellaneous:
  * dgit-repos-server: Improved error handling when invoking gpgv.
    [Ian Jackson]
  * Update copyright for dgit, dgit-repos-server & tag2upload-oracled.
  * Fix documentation of --expect-version option.
  * mini-git-tag-fsck: Fix bytestring regexp syntax.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jan 2025 13:55:00 +0000
