## dgit 12.6~bpo12+1

=== debian/changelog ===
dgit (12.6~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Feb 2025 16:33:39 +0000

dgit (12.6) unstable; urgency=medium

  tag2upload development:
  * Implement & test timing out the work done by dgit-repos-server's
    tag2upload mode, for robustness.  [Ian Jackson]
  * tag2upload-oracled: New --process-timeout option.  [Ian Jackson]
  * tag2upload-oracled systemd unit: Pass --process-timeout.  [Ian Jackson]
  * tag2upload-oracled systemd unit: Fix line continuation syntax.
  * tag2upload-oracled: Tidy up logging and then exiting non-zero.

  Test suite:
  * Use new template-match-check utility to test the content of the
    success e-mail from the tag2upload mode of dgit-repos-server.
    [Ian Jackson]
  * t2u-email test: Also do the mpack MIME check here.  [Ian Jackson]

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 30 Jan 2025 09:13:55 +0000
