## dgit 12.7~bpo12+1

=== debian/changelog ===
dgit (12.7~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Mar 2025 09:56:28 +0800

dgit (12.7) unstable; urgency=medium

  tag2upload development:
  * Fixes to tag2upload-oracled:
    - Pass -N to nc.openbsd on the Manager.
      This is required for the connection to be properly terminated.
    - Fix protocol violation in the case where '--builder=USER@...'.
    - Actually validate the protocol messages generated by
      'dgit-repos-server --tag2upload5'.
  * dgit-repos-server, tag2upload support:
    - Impose a length limit on various values.  [Ian Jackson]
    - Split long lines in the e-mail.  [Ian Jackson]
  * Other improvements to tag2upload-oracled:
    - Before reporting readiness to the Manager,
      + establish a connection to the Builder;
      + test we can really run commands in the isolation environment; and
      + test we have a usable signing key.
    - New -D option to set the Debian::Dgit debug level.
    - New --worker-restart-timeout option.  [Ian Jackson]
    - Drop old SIGALRM handler, no longer used by test suite.
    - Add [USER@] to --manager and --builder in usage docs.
  * tag2upload-oracled systemd unit:
    - Fill in remaining config values for our current hosts.
    - Instruct autopkgtest-virt-podman not to unshare the netns.
    - Set a value for TimeoutStopSec equal to the processing timeout.
  * Provide tag2upload-builder-rebuild script.
    Previously maintained in dgit-infra-notes-scripts.git.
  * Provide self-installing crontabs for the Oracle and the Builder.

  Test suite:
  * Completely rewrite mocking up tag2upload-service-manager.  [Ian Jackson]
    - tag2upload-oracled now connects to a real socket.
    - Correctly handle the tag2upload-oracled child process, to fix a race.
  * Pass new 'run-manager' subcommand to tag2upload-service-manager.
    [Ian Jackson]
  * gitlab-ci-run-all: Add a per-test-case timeout.   [Ian Jackson]
    This avoids GitLab timing out the whole job and thus losing logs.
  * Always pass new -D option to tag2upload-oracled.
  * Work around autopkgtest-virt-* not exiting (#868576).  [Ian Jackson]
  * autopkgtest-virt-null-for-test: Fix shebang.  [Ian Jackson]
  * Rename template-match-check to match-check-template.  [Ian Jackson]
  * match-check-template: Fix some output indentation.  [Ian Jackson]
  * Print "success." after the log dumps, for reassurance.  [Ian Jackson]

  Documentation:
  * dgit-maint-debrebase(7), dgit-maint-merge(7): Consistently use
    lowercase 'debian' for the salsa.d.o namespace.  [Dr Tobias Quathamer]
  * dgit-maint-gbp(7): In one place, list all three push commands
    instead of just the 'dgit push' alias.  [Dr Tobias Quathamer]
  * dgit-maint-merge(7): Replace a reference to alioth's collab-maint.
    [Dr Tobias Quathamer]
  * TAG2UPLOAD-MANAGER-PROTOCOL.md:
    - Document additional things Oracle should do before saying 'ack'.
      [Ian Jackson]
    - Fix a reference to the worker ID.
  * dgit-user(7): Fix typo comments->commits.  Closes: #1098688.
    [Reported by Ben Harris]

  Miscellaneous:
  * Debian::Dgit::ProtoConn: Call printdebug in expect.
    This ensure we see both halves of the conversation.  [Ian Jackson]
  * get-dm-txt: Take data dir using a positional param, not an env var.
  * d/control: Drop unnecessary Testsuite field.
  * Override 'unusual-interpreter /usr/bin/crontab' Lintian warning.
  * Comment out mismatched file-contains-trailing-whitespace override.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 12:36:05 +0800
