## dgit 12.9~bpo12+1

=== debian/changelog ===
dgit (12.9~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Mar 2025 12:53:32 +0800

dgit (12.9) unstable; urgency=medium

  tag2upload development:
  * tag2upload-oracled:
    - Query systemd re whether we are a production or testing instance.
    - New --force-production option.
  * tag2upload-oracled systemd unit:
    - Fix WantedBy= so the user unit starts on reboot.
    - Add additional Documentation= values.
  * TAG2UPLOAD-MANAGER-PROTOCOL.md: Define v3, including worker fidelity.
    [Ian Jackson]

  Test suite:
  * Bypass autopkgtest-virt-null workarounds with newer autopkgtest.
    This should fix our autopkgtest in sid.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Mar 2025 22:32:23 +0800

dgit (12.8~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Mar 2025 21:23:53 +0800

dgit (12.8) unstable; urgency=medium

  Bugfix to dgit:
  * Fix passing -c options to git.
    While -c options intended to affect dgit work, it was discovered
    that -c options for git itself have been broken since dgit 2.0.
    [Ian Jackson]

  tag2upload development:
  * Improvements to generated e-mail messages:
    - Reorder parts to put the tag last.  [Ian Jackson]
    - Make the log disposition inline.  [Ian Jackson]
    - Add a Reply-To header, use our dgit-owner@ role address in From.
      This fixes our mail not reaching debian-tag2upload@lists.debian.org.
    - Make tag2upload-oracled's --noreply option a full From field value.
      Use this to capitalise "Debian" in "Debian tag2upload service".
    - Replace long line splitting with encoding in quoted-printable.
      DSA's MTA is already doing a conversion to quoted-printable so
      it's cleaner to replace our own long line splitting with this.
      [Ian Jackson]
  * tag2upload-oracled: Don't invoke dgit-repos-server more than once
    in the same working directory, as required by its calling convention.
    This fixes using more than one worker.
  * tag2upload-oracled systemd unit:
    - Work around 'podman exec' failing to set HOME.
    - Work around 'podman exec --user=...' breaking autopkgtest-virt-podman.
      Prefix an invocation of su(1) to switch user, instead.
    - Set IgnoreSIGPIPE=false.
  * Save a copy of all outgoing mail in case of MTA issues.
    [Ian Jackson & Sean Whitton]
  * Have the Oracle use precisely the one available signing key.
    Pass it as a -k option to 'dgit rpush-source'.
    Closes: #932553.  [Ian Jackson]
  * Pass --no-tags to 'git fetch'.  [Ian Jackson]
  * tag2upload-builder-rebuild:
    - Copy in DSA's /etc/ssh/ssh_known_hosts.
    - Copy in Builder's SSH key for dgit-repos access.
    - Copy in public part of Oracle's package signing key.
    - Install dgit and git-debrebase from Debian backports.
    - Install python3-pygit2.
    - Add several abstractions to make it easier to customise our images.
  * tag2upload-oracle-crontab: Add a job to delete old outgoing mail copies.
  * tag2upload-*-crontab: Add comments about how to make changes effective.

  Test suite [Ian Jackson]:
  * t2u-integration: Increase test timeouts.
  * match-check-template: Fix some more output indentation.
  * Move t-dgit lib -> lib-core, simplify tstunt/dgit.
  * Replace generic someuser@somehost with more specific dummy strings.
  * No longer dump sendmail.last.

  Miscellaneous [Ian Jackson]:
  * Consistently use scalars vs arrays for shell-quoted commands and
    not-yet-shell-quoted argument lists, respectively.
    This fixes issues running commands in the tag2upload virt.
  * tag2upload-oracled: Minor improvements to some error handling.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 13:58:10 +0800
