## dgit 12.11~bpo12+1

=== debian/changelog ===
dgit (12.11~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 08:41:56 +0800

dgit (12.11) unstable; urgency=high

  dgit, dgit-repos-server, Dgit.pm [Ian Jackson]:
  * Install countermeasures for 'rm -r' failure (see #1101580).
  * Replace File::Path::rmtree with a subroutine of our own.

  tag2upload-oracled [Ian Jackson]:
  * Fix worker PID tracking, and rigorously avoid sending wild signals.
    Closes: #1101690.
  * Do not ignore SIGCHLD.
  * Quit if the link count of the workercwd becomes zero.

  Test suite:
  * autopkgtest-virt-null-for-test: Avoid 'mkdir -p'.
    Don't recreate the whole test's $tmp directory from here.  [Ian Jackson]
  * autopkgtest-virt-null-for-test: Always set TMPDIR.
    In particular, when autopkgtest is new enough not to require workarounds.
    [Ian Jackson]
  * tag-updates test: Fix $tagname variable.
    Broken for a while, revealed by git 2.49.0 hitting sid.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 31 Mar 2025 11:45:54 +0800

dgit (12.10) unstable; urgency=medium

  dgit:
  * Avoid crash with EEXIST on single-debian-patch and --split-view=always.
    Closes: #1076983.  [Report from Aaron M. Ucko]
  * Better tolerate source trees without debian/rules, eg with debputy.
    Closes: #1092929.  [Niels Thykier; report from Andrea Pappacoda]

  git-debrebase:
  * Unconditionally enable general merge resolution attempts;
    improve relevant documentation, and invite bug reports.
    (Previously this required --experimental-merge-resolution).
  * upstream: Strip epoch in human-facing outputs.  Closes: #1099311.

  workflow manpages:
  * dgit-maint-bpo(7): Replace a lingering --overwrite.  [Sean Whitton]
  * dgit-nmu-simple(7): Be less pessimistic about rebasing.  Closes: #1099519.
  * Disambiguate what we mean by "first ever dgit push".  [Sean Whitton]

  translations [Frans Spiesschaert]:
  * nl: Update translation for messages.  Closes: #1090762.
  * nl: Update translation for dgit-user(7).  Closes: #1090763.

  Infrastructure:
  * Improve handling of stderr output from gpgv.
    (Improves the output for users of dgit push, and tag2upload emails.)

  tag2upload:
  * Builder: Use dgit and gdr from testing.  [Sean Whitton]
  * dgit-repos access control): Expect a separate tag2upload public keyring.
  * Oracle: Pass -u to dput to suppress a spurious warning in email reports.
  * Oracle: Speak oracle-to-manager protocol version 4.
  * Oracle: Report fidelity to Manager (whether we're the production codebase).
  * Oracle/Builder: Always report source package (using info from Manager).
  * Oracle: Improved consistency and informativeness of logging.
  * tests: t2u: Add a test case for a completely unknown signing key.
  
 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 29 Mar 2025 18:04:29 +0000
