## dgit 12.11

=== changelog ===
example (1.0-1+brokenmeta) unstable; urgency=medium

  * Break some patch metadata

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 01 Feb 2020 21:24:41 +0000
