## dgit 12.12~bpo12+1

=== debian/changelog ===
dgit (12.12~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 30 May 2025 08:58:49 +0100

dgit (12.12) unstable; urgency=medium

  Bugfixes:
  * git-debrebase: Use add -f for d/p/series in merge resolution
    Closes: #1101958.  [Report from Sean Whitton]
  * Honour debian-nonupload keyring as a DM keyring.  Will enable
    "non-uploading" DDs who have DM permissions to dgit push, and
    use tag2upload.  Closes:1102202.

  Process metadata [Sean Whitton]:
  * dgit-infrastructure package description:
    Say "git depository" as per delegation.
  * Set Maintainer to role address, with humans in Uploaders.
  * Set a GitLab issue template.

  Documentation:
  * git-debrebase(1): fix xref to git-debrebase(5).  [Tony Finch]
  * i18n: Updated nl translations for dgit-user(7) and messages.
    Closes: #1103908, #1103910.  [Frans Spiesschaert]

  tag2upload internals:
  * tag2upload-oracled: Add function prototypes.  [Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 09 May 2025 14:38:16 +0100
