## dgit 12.13

=== debian/changelog ===
dgit (12.13) unstable; urgency=medium

  git-debpush behavioural change:
  * Detect apparent intent to use pristine-tar (which is not supported).
    Otherwise we could upload source packages (to the ftp archive) which,
    while correct, were not what the user expected.  Closes: #1105862.
    [Sean Whitton; reports from Simon Josefsson, Anton Gladky]

  Documentation:
  * git-debpush(1): Fix erroneous dedent location for
    end of list of options.  [Sean Whitton]
  * i18n: Updated message translation for nl.
    Closes: #1106481.  [Frans Spiesschaert]

  Administrivia/testing:
  * gitlab CI metadata: Add dgit-test-suite trixie job.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 13 Jun 2025 16:09:04 +0100
