## dgit 12.14

=== debian/changelog ===
dgit (12.14) unstable; urgency=medium

  * tests: t2u: Add missing dependency on pristine-tar; fixes CI.
  * git-debpush: Suppress some spurious and confusing messages.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 16 Jun 2025 17:58:19 +0100
