## dgit 12.15~bpo12+1

=== debian/changelog ===
dgit (12.15~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * d/source/options: Mark package as native for git-debpush.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jul 2025 09:21:45 +0100

dgit (12.15) unstable; urgency=medium

  git-debpush bugfixes:
  * Fix package dependencies.
  * Do not pointlessly print "pristine-tar is /usr/bin/pristine-tar".
  * Some shell quoting fixes.

  Shell scripts:
  * Use shopt -s inherit_errexit everywhere to work around #514862.

  Testing:
  * New more-minimal standalone test cases for git-debpush.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jun 2025 17:53:17 +0100
