=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: dgit
 Section: devel
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Debian tag2upload Delegates <dgit-owner@debian.org>
+Uploaders:
+ Ian Jackson <ijackson@chiark.greenend.org.uk>,
+ Sean Whitton <spwhitton@spwhitton.name>
 Standards-Version: 4.4.0.0
 Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
 Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
@@ -42,7 +44,9 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, libgit-wrapper-perl,
+Depends: devscripts, git, gnupg, libgit-wrapper-perl, libdpkg-perl,
+# devscripts git-deborig:
+	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
          ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
@@ -65,5 +69,5 @@
 Architecture: all
 Description: dgit server backend infrastructure
  This package contains tools which are useful for setting up a dgit
- git repository server.  You probably want dgit, the client package,
- instead of dgit-infrastructure.
+ git depository.  You probably want dgit, the client package, instead
+ of dgit-infrastructure.
