## dgit 12.16

=== debian/changelog ===
dgit (12.16) trixie; urgency=medium

  git-debrebase bugfix:
  * Merge resolution: Fix erroneous use of real git tree as
    if it were a private working area.  Closes: #1116933.
  * Merge resolution: Fix conflation of different temporary directories.
  * Clean out all of the temporary playground area on every invocation.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 05 Oct 2025 21:23:23 +0100
