## dgit 13.0

=== debian/changelog ===
dgit (13.0) experimental; urgency=medium

  Documentation:
  * dgit(1): Document exit status.

  New feature:
  * dgit: New operation mode download-unfetched-origs.

  Infrastructure bugfixes:
  * tag2upload: Fetch origs from other suites, too.
    Avoid creating inconsistent sets of orig tarballs.
    [Report from Simon Josefsson]  Closes: #1105766.
  * dgit-repos-server: Fix changing suites while in NEW.

  Supporting changes and tidying up:
  * tag2upload-builder-rebuild: Pull our packages from experimental
    so that we can deploy the bugfixes.  [Sean Whitton]
  * Update paths to Debian keyrings.  [Sean Whitton]
  * Internal improvements and refactorings.
  * tests: Add experimental to suite lists.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 17 May 2025 13:02:53 +0100
