## dgit 13.3

=== debian/changelog ===
dgit (13.3) experimental; urgency=medium

  git-debpush behavioural improvements:
  * Read a whole line when prompting.  Closes: #1107897.
  * Drop changed-suite check.  Closes: #1107552.
  * Exit immediately if overriding a check denied by user.

  git-debpush fix:
  * Fix parsing --batch command line option.

  Documentation [Ian Jackson]:
  * tag2upload(5): New "SEMANTICS" section.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Jun 2025 13:55:28 +0100

dgit (13.2) experimental; urgency=medium

  * git-debpush: Rename --no-prompt to --batch.   [Sean Whitton]

  Administrivia:
  * d/source/options: Declare source format to be native.
    (Should enable uploading with git-debpush.)   [Sean Whitton]
  * CI: Add trixie to salsa CI
  * Include fixes from dgit 12.14 (as shown below).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 16 Jun 2025 18:49:49 +0100

dgit (13.1) experimental; urgency=medium

  git-debpush behavioural improvements [Sean Whitton]:
  * Detect apparent intent to use pristine-tar (which is not supported).
    Closes: #1105862.  [Reports from Simon Josefsson, Anton Gladky]
  * Detect presence of git submodules, and fail early.
    Closes: #1107226.  [Report from Andrea Pappacoda]  See also #726953.
  * When checks fail, prompt interactively, asking whether to proceed.
    Closes: #1105815, #1107550.
  * Rename hazardous --quilt=auto, to --quilt=try-linear.
    [Prompted by report from Anton Gladky]

  git-debpush(1) improvements [Sean Whitton]:
  * Document that we never do a git force push.
    Closes: #1105756.  [Report from Simon Josefsson]
  * --quilt=gbp: Mention quilt(1) explicitly.  [Report from Anton Gladky]
  * Fix erroneous dedent location for end of list of options.

  tag2upload infrastructure:
  * t2u-b-rebuild: Improve logging and error handling.
  * tag2upload-oracled: Predeclare some function prototypes.
    Closes: #1105878.  [Sean Whitton]

  Documentation:
  * Update to non-ancient distribution names in many docs.  [Marc Haber]
  * tag2upload(t5); Fix and clarify semantics of unknown tags,
    multiplicity, ordering, and syntax of keyword=value.
    Closes: #1106078.  [Report from Matthias Urlichs]
  * i18n: Updated message translation for nl.
    Closes: #1106481.  [Frans Spiesschaert]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 13 Jun 2025 15:07:04 +0100
