=== debian/control ===
--- 
+++ 
@@ -44,9 +44,7 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, libgit-wrapper-perl, libdpkg-perl,
-# devscripts git-deborig:
-	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
+Depends: devscripts, git, gnupg, libgit-wrapper-perl,
          ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
