## dgit 13.4

=== debian/changelog ===
dgit (13.4) experimental; urgency=medium

  Documentation:
  * t2u o2m: Describe version 5, with 'restart' message.  [Sean Whitton]
  * t2u FAQ: Clarify that debian/-only repos still need
    upstream source in git.  [Christoph Berg]
  * t2u FAQ: Remove much obsolete material.

  Tests:
  * t2u: Test "tag changed between fetches" path.
  * CI: Check for blocking todos (three or more X's).

  Internals:
  * Avoid blocking-todo markers in a few places in docs and comments.
  * dgit-repos-server: Fix a comment about indistrodir.
  * tests: debpolicy-taintrm: Downgrade a TODO.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jun 2025 19:03:47 +0100
