## dgit 13.7

=== debian/changelog ===
dgit (13.7) experimental; urgency=medium

  * Demo upload for talk.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 15 Jul 2025 08:33:32 +0100

dgit (13.6) experimental; urgency=medium

  * Demo upload for talk rehearsal.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Jul 2025 20:26:58 +0100

dgit (13.5) experimental; urgency=medium

  git-debpush user experience improvements:
  * Check for tag already existing at the remote.  Part of #1107921.
  * Improve error message for tag already existing locally.
  * Check for uncommitted changes in working tree.
    Closes: #1108088.  [Sean Whitton]

  tag2upload service:
  * Properly RFC2047-escape non-ASCII names.  Closes: #1108613.
  * Hide virt runes in a per-invocation ssh wrapper  Closes: #1107151.
  * Print oracle and builder dgit versions in transcript.  Closes: #1108242.
  * d-r-s t2u: Add missing -oBatchMode=yes option to ssh invocation.

  CI and administrivia:
  * CI: Check for missing Signed-off-by.
  * git-debpush: Add missing copyright notice.  [Sean Whitton]
  * Add missing Closes for #1108180 to changelog entry for 12.125.
  * CI: Drop compatibility tests for buster, which is gone from the archive.

  Suppporting changes:
  * git-debpush: Figure out the previous maintainer upload version.
  * dgit: Honour DGIT_VERSION in dgit --version and use it in ./using-these.
  * git-debpush: Reorganisation and tidying.  [Ian Jackson and Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Jul 2025 09:45:16 +0100
