=== debian/control ===
--- 
+++ 
@@ -44,7 +44,9 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, libgit-wrapper-perl,
+Depends: devscripts, git, gnupg, libgit-wrapper-perl, libdpkg-perl,
+# devscripts git-deborig:
+	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
          ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
@@ -61,7 +63,7 @@
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
          libdpkg-perl,
-         liburi-perl,
+         liburi-perl, libmime-tools-perl,
          liblocale-gettext-perl
 Recommends: dgit (>= 11.7~)
 Architecture: all
