## dgit 13.10

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 txtdocdir=$(prefix)/share/doc/dgit
 absurddir=$(prefix)/share/dgit/absurd
 
-PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck
+PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck tag2upload-obtain-origs
 MAN1PAGES=dgit.1
 
 MAN7PAGES=dgit.7				\
