=== debian/changelog ===
dgit (13.10) experimental; urgency=medium

  git-debpush user experience improvements:
  * Print some status messages while processing.
  * Better error messages when git-deborig tag search fails.
  * New --help, -h options.  Closes: #1109473.

  tag2upload infrastructure:
  * Switch to using new tag2upload-obtain-origs script.
    Closes: #1108658.  [Ian Jackson]
  * tag2upload Manager protocol: Introduce some protocol state names.
    [Ian Jackson]
  * tag2upload-oracled: Speak Manager protocol version 5.
  * tag2upload-builder-rebuild: Request restarting workers.

  git-debpush miscellaneous:
  * Expand and update statement of design principles.
  * Delete a completed TODO.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 28 Jul 2025 13:53:45 +0100

dgit (13.9) experimental; urgency=medium

  tag2upload infrastructure:
  * Improve and shorten command lines appearing in report emails.
  * Check upstream tag/commit correspondence even when using existing origs.
  * Minor performance improvement for native packages (skip pre-fetch).

  Internal changes:
  * Testing improvements for tag2upload.
  * changelog: Start 13.9
  * Introduce new tag2upload-obtain-origs script.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 19 Jul 2025 11:51:39 +0100

dgit (13.8) experimental; urgency=medium

  git-debpush user experience improvements:
  * Check for and handle an existing tag for this version.
  * Try to check our branch against the remote target branch,
    to detect releasing from behind mainline, and avoid push failures.
    Closes: #1107921.

  Internal changes:
  * dgit: Provide abbreviated --t2u-* options, to support log improvements.
  * git-debpush: Improve comment about remote branch.  [Sean Whitton]
  * git-debpush: Coding style cleanups.
  * dir-locals.el: Set fill-column to 78 for all languages.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 18 Jul 2025 17:36:28 +0100
